<?php
/**
 * イベントカレンダー
 */
require_once 'Platy/Widget.php';

require_once 'Platy/Calendar.php';

class Platy_Widget_EventCalendar extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }
    
    public function getSummary()
    {
        return 'イベントカレンダー';
    }
    
    public function view()
    {
        global $db;
        
        $a = array('title' => '', 'icons' => '', 'main' => '', 'footer' => '');
        
        $a['title'] = 'イベントカレンダー';
        
        ob_start();
        $ym = date('Ym');
        $calendar = new Platy_Calendar($ym);
        $calendar->show();
        $a['main'] = ob_get_contents();
        ob_end_clean();
        
        return $a;
    }
}
?>